HaruEncoder
HaruOutline
HaruEncoder
PHP Manual

# HaruEncoder::getWritingMode

(PECL haru:0.0.1)

HaruEncoder::getWritingMode — Get the writing mode of the encoder

### Description

int HaruEncoder::getWritingMode ( void )

Get the writing mode of the encoder.

### Parameters

This function has no parameters.

### Return Values

Returns the writing mode of the encoder. The result value is on of the following:

- `HaruEncoder::WMODE_HORIZONTAL` - horizontal writing mode.
- `HaruEncoder::WMODE_VERTICAL` - vertical writing mode.

### Errors/Exceptions

Throws HaruException on error.

HaruEncoder
HaruOutline
HaruEncoder
PHP Manual